## picolisp 3.1.9.7

=== debian/changelog ===
picolisp (3.1.9.7-2) unstable; urgency=medium

  * Sync to upstream tip.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sat, 07 Feb 2015 18:38:38 +0800

picolisp (3.1.9.7-1) unstable; urgency=medium

  * New upstream release
  * Build *.jar from source
  * Do not install doc/{db,utf8} as requested by upstream

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Fri, 06 Feb 2015 00:19:20 +0800

picolisp (3.1.9.3-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Tue, 20 Jan 2015 00:29:25 +0800

picolisp (3.1.9.2-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Tue, 06 Jan 2015 23:28:48 +0800
