## picolisp 3.1.11.1

=== debian/changelog ===
picolisp (3.1.11.1-1) unstable; urgency=medium

  * New upstream release; added a missing file svg.l from previous release
  
 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 25 Jun 2015 12:12:50 -0700

picolisp (3.1.11-1) unstable; urgency=medium

  * New upstream release
  * Install bash completion to usr/share/bash-completion/completions

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Wed, 24 Jun 2015 07:47:24 -0700

picolisp (3.1.10-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Tue, 21 Apr 2015 00:44:55 +0800
