=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 override_dh_auto_install:
 
-	dh_install build/bash_completion.d/pil etc/bash_completion.d
+	dh_install build/bash_completion.d/pil usr/share/bash-completion/completions
 	dh_install -X.o src   usr/share/picolisp
 	dh_install -X.o src64 usr/share/picolisp
 	dh_install -X.orig java usr/share/picolisp
