=== debian/changelog ===
picolisp (15.11-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * debian/patches/0004-picolisp_reproducible_build.patch:
    Make amd64 build reproducible
  * Fix FTBFS on hurd-i386. Thanks Svante Signell for the patch.
    (Closes: 802602)
  * Build x86_64 and ppc64el with ersatz.
    Remove dependency of gcc-multilib.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Wed, 16 Dec 2015 00:19:17 +0800
