=== debian/rules ===
--- 
+++ 
@@ -28,20 +28,24 @@
 
 	chmod -x app/loc/no
 
+	mv java/reflector.jar java/reflector.jar.orig
+	(cd java/; ./mkJar)
+
 ifeq (amd64,$(DEB_HOST_ARCH_CPU))
 	mv src64/tags src64/tags.orig
-	make -C src OS=Linux CPU=amd64 picolisp
 	make -C src OS=Linux tools gate
 
-	make -C src64 OS=Linux CFLAGS="$(CFLAGS_NO_PIE)" LDFLAGS="$(LDFLAGS_NO_PIE)"
+	make -C src64 OS=Linux CFLAGS="$(CFLAGS_NO_PIE)" LDFLAGS="$(LDFLAGS_NO_PIE)" x86-64.linux picolisp
+else ifeq (ppc64el,$(DEB_HOST_ARCH_CPU))
+	mv src64/tags src64/tags.orig
+	make -C src OS=Linux tools gate
+
+	make -C src64 CFLAGS="$(CFLAGS_NO_PIE)" LDFLAGS="$(LDFLAGS_NO_PIE)" ppc64.linux picolisp
 else
 	make -C src OS=Linux CPU=$(DEB_HOST_ARCH_CPU) picolisp tools gate
 endif
 	mkdir -p build/bash_completion.d
 	cp lib/bash_completion build/bash_completion.d/pil
-
-	mv java/reflector.jar java/reflector.jar.orig
-	(cd java/; ./mkJar)
 
 #       build time utilities
 	-rm src64/sysdeps
