=== debian/changelog ===
picolisp (16.2-2) unstable; urgency=medium

  * Fix lib/ext loading problem on pil32.
  * Import upstream minor version update and a fix to pil64.
  * Bump Standards-Version to 3.9.7, no changes needed

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 22 Feb 2016 01:54:15 +0800

picolisp (16.2-1) unstable; urgency=medium

  [ Kan-Ru Chen (陳侃如) ]
  * New upstream release
  * Fix minimum java bytecode version used by mkJar
  * Install correct upstream changelog file
  * Do not generate incorrect dbgsym package

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sat, 20 Feb 2016 17:42:27 +0800
