## picolisp 16.12

=== src64/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# 16nov15abu
+# 05dec16abu
 # (c) Software Lab. Alexander Burger
 
 bin = ../bin
@@ -20,15 +20,20 @@
 				UNAME = FreeBSD
 				MACHINE = x86_64
 			else
-				ifeq ($(MAKECMDGOALS), x86-64.sunOs)
-					UNAME = SunOS
+				ifeq ($(MAKECMDGOALS), x86-64.openBsd)
+					UNAME = OpenBSD
 					MACHINE = x86_64
 				else
-					UNAME = $(shell uname)
-					ifeq ($(MAKECMDGOALS), emu)
-						MACHINE = emu
+					ifeq ($(MAKECMDGOALS), x86-64.sunOs)
+						UNAME = SunOS
+						MACHINE = x86_64
 					else
-						MACHINE = $(shell uname -m)
+						UNAME = $(shell uname)
+						ifeq ($(MAKECMDGOALS), emu)
+							MACHINE = emu
+						else
+							MACHINE = $(shell uname -m)
+						endif
 					endif
 				endif
 			endif
@@ -37,6 +42,7 @@
 endif
 
 SYS =
+PIE =
 FMT = .c
 ARCH = emu
 STRIP = :
@@ -53,6 +59,7 @@
 			SYS = .linux
 			FMT = .s
 			ARCH = x86-64
+			## PIE = -no-pie
 			AS = as
 		else
 			ifeq ($(MACHINE), ppc64le)
@@ -77,15 +84,26 @@
 		LD-SHARED = -shared -rdynamic
 		STRIP = strip
 	else
-		ifeq ($(UNAME), SunOS)
-			OS = SunOS
-			SYS = .sunOs
+		ifeq ($(UNAME), OpenBSD)
+			OS = OpenBSD
+			SYS = .openBsd
 			FMT = .s
 			ARCH = x86-64
-			AS = gas --64
-			LD-MAIN = -m64 -lc -lm -ldl -lsocket -lnsl
-			LD-SHARED = -m64 -shared
+			AS = as
+			LD-MAIN = -Wl,-nopie -rdynamic -lc -lm
+			LD-SHARED = -shared -rdynamic
 			STRIP = strip
+		else
+			ifeq ($(UNAME), SunOS)
+				OS = SunOS
+				SYS = .sunOs
+				FMT = .s
+				ARCH = x86-64
+				AS = gas --64
+				LD-MAIN = -m64 -lc -lm -ldl -lsocket -lnsl
+				LD-SHARED = -m64 -shared
+				STRIP = strip
+			endif
 		endif
 	endif
 endif
@@ -104,6 +122,7 @@
 x86-64.linux: $(sFiles)
 ppc64.linux: $(sFiles)
 x86-64.freeBsd: $(sFiles)
+x86-64.openBsd: $(sFiles)
 x86-64.sunOs: $(sFiles)
 emu: picolisp
 
@@ -111,7 +130,7 @@
 
 ### Link ###
 $(bin)/picolisp: $(ARCH)$(SYS).base.o
-	$(CC) -o $(bin)/picolisp $(ARCH)$(SYS).base.o $(LD-MAIN)
+	$(CC) -o $(bin)/picolisp $(ARCH)$(SYS).base.o $(LD-MAIN) $(PIE)
 	$(STRIP) $(bin)/picolisp
 
 $(lib)/ext: $(ARCH)$(SYS).ext.o
