=== debian/changelog ===
picolisp (16.12-1) unstable; urgency=medium

  * New upstream version 16.12

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sat, 10 Dec 2016 21:31:05 -1000

picolisp (16.11.6-1) unstable; urgency=medium

  * New upstream version 16.11.6
  * debian/compat: Change dh compatibility to 9
  * Require dpkg-dev >= 1.18.11 to build without PIE enabled. (Closes: #837573)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Wed, 09 Nov 2016 09:08:14 +0800

picolisp (16.6-2) unstable; urgency=medium

  * Import upstream changes.
    - Closes: #831397

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 17 Jul 2016 22:59:31 +0800

picolisp (16.6-1) unstable; urgency=medium

  * New upstream release.
  * Update minimum java bytecode version used by mkJar to Java7.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 04 Jul 2016 23:32:05 +0800
