=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: lisp
 Priority: optional
 Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~), libssl-dev, default-jdk
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.18.11~), libssl-dev, default-jdk
+Standards-Version: 3.9.8
 Homepage: http://picolisp.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/picolisp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/picolisp.git;a=summary
