=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,9 @@
 override_dh_installdocs:
 	dh_installdocs -Xdoc/db -Xdoc/utf8
 
+override_dh_installchangelogs:
+	dh_installchangelogs -k -XChangeLog CHANGES
+
 override_dh_auto_clean:
 
 	make -C src clean
@@ -76,6 +79,9 @@
 
 	dh_compress -X.l
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 %:
 	dh $@
