=== debian/changelog ===
picolisp (17.6-1) unstable; urgency=medium

  * New upstream version 17.6
  * Refresh patches
  * debian/control: Bump Standards-Version to 4.0.0.
    Updated copyright-format url. No other changes needed.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Wed, 12 Jul 2017 07:15:16 +0800
