=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: lisp
 Priority: optional
 Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.18.11~), libssl-dev, default-jdk
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.18.11~), libssl-dev, default-jdk
+Standards-Version: 4.1.3
 Homepage: http://picolisp.com/
-Vcs-Git: git://anonscm.debian.org/collab-maint/picolisp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/picolisp.git;a=summary
+Vcs-Git: https://salsa.debian.org/koster/picolisp.git
+Vcs-Browser: https://salsa.debian.org/koster/picolisp
 
 # Only supports amd64 on linux and solaris
 Package: picolisp
-Architecture: kopensolaris-amd64 solaris-amd64 amd64 any-i386 any-arm any-avr32 any-hppa any-m32r any-m68k any-mips any-mipsel any-powerpc any-s390 any-sh3 any-sh3eb any-sh4 any-sh4eb any-sparc any-ppc64el
+Architecture: any
 Pre-Depends: dpkg (>= 1.17.5)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: tinymce
