## picolisp 17.12+20180218

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# 02feb16abu
+# 04oct17abu
 # (c) Software Lab. Alexander Burger
 
 bin = ../bin
@@ -10,26 +10,29 @@
 # CCLD is the cc (compiler frontend) to use for the link step.
 CCLD = gcc
 
+M32=-m32
+
 CFLAGS = -c -O2 -pipe \
 	-falign-functions=32 -fomit-frame-pointer -fno-strict-aliasing \
 	-W -Wimplicit -Wreturn-type -Wunused -Wformat \
 	-Wuninitialized -Wstrict-prototypes \
 	-D_GNU_SOURCE  -D_FILE_OFFSET_BITS=64
 
+DYNAMIC-CC-FLAGS=
 
 ifeq ($(shell uname), Linux)
 	OS = Linux
-	CFLAGS += -m32
-	PICOLISP-FLAGS = -m32 -rdynamic
+	CFLAGS += ${M32}
+	PICOLISP-FLAGS = ${M32} -rdynamic
 	LIB-FLAGS = -lm -ldl
-	DYNAMIC-LIB-FLAGS = -m32 -shared -export-dynamic
+	DYNAMIC-LIB-FLAGS = ${M32} -shared -export-dynamic
 	LCRYPT = -lcrypt
 	STRIP = strip
 else
 ifeq ($(shell uname), OpenBSD)
 	OS = OpenBSD
-	CFLAGS += -m32
-	PICOLISP-FLAGS = -m32 -rdynamic -Wl,-E
+	CFLAGS += ${M32}
+	PICOLISP-FLAGS = ${M32} -rdynamic -Wl,-E
 	LIB-FLAGS = -lm
 	DYNAMIC-LIB-FLAGS = -Wl,-E -Wl,-shared
 	LCRYPT = -lcrypto
@@ -39,34 +42,34 @@
 	OS = FreeBSD
 	CC = gcc
 	CCLD = clang
-	CFLAGS += -m32
-	PICOLISP-FLAGS = -m32 -rdynamic
+	CFLAGS += ${M32}
+	PICOLISP-FLAGS = ${M32} -rdynamic
 	LIB-FLAGS = -lm
-	DYNAMIC-LIB-FLAGS = -m32 -shared -export-dynamic
+	DYNAMIC-LIB-FLAGS = ${M32} -shared -export-dynamic
 	LCRYPT = -lcrypt
 	STRIP = strip
 else
 ifeq ($(shell uname), NetBSD)
 	OS = NetBSD
-	CFLAGS += -m32
-	PICOLISP-FLAGS = -m32 -rdynamic
+	CFLAGS += ${M32}
+	PICOLISP-FLAGS = ${M32} -rdynamic
 	LIB-FLAGS = -lm
-	DYNAMIC-LIB-FLAGS = -m32 -shared -export-dynamic
+	DYNAMIC-LIB-FLAGS = ${M32} -shared -export-dynamic
 	LCRYPT = -lcrypto
 	STRIP = strip
 else
 ifeq ($(shell uname), Darwin)
 	OS = Darwin
-	CFLAGS += -m32
-	PICOLISP-FLAGS = -m32
+	CFLAGS += ${M32}
+	PICOLISP-FLAGS = ${M32}
 	LIB-FLAGS = -lc -lm -ldl
-	DYNAMIC-LIB-FLAGS = -m32 -dynamiclib -undefined dynamic_lookup
+	DYNAMIC-LIB-FLAGS = ${M32} -dynamiclib -undefined dynamic_lookup
 	LCRYPT = -lcrypto
 	STRIP = strip -x
 else
 ifeq ($(shell uname), SunOS)
 	OS = SunOS
-	CFLAGS += -m32
+	CFLAGS += ${M32}
 	PICOLISP-FLAGS =
 	LIB-FLAGS = -lm -lnsl -lsocket
 	DYNAMIC-LIB-FLAGS = -G
@@ -85,21 +88,21 @@
 ifeq ($(shell uname), HP-UX)
 	OS = HP-UX
 	CFLAGS +=
-	PICOLISP-FLAGS = -m32 -rdynamic
+	PICOLISP-FLAGS = ${M32} -rdynamic
 	LIB-FLAGS = -lm -ldl
-	DYNAMIC-LIB-FLAGS = -m32 -shared
+	DYNAMIC-LIB-FLAGS = ${M32} -shared
 	LCRYPT =
 	STRIP = strip
 else
 ifeq ($(shell uname), IRIX64)
-    OS = IRIX64
-    CFLAGS += -std=gnu99
-    DYNAMIC-LIB-FLAGS = -shared
-    STRIP = strip -f
+	OS = IRIX64
+	CFLAGS += -std=gnu99
+	DYNAMIC-LIB-FLAGS = -shared
+	STRIP = strip -f
 else
-ifeq ($(shell uname -o), Cygwin)
+ifeq ($(shell uname -o | egrep -q "Cygwin|Msys" ; echo $$?), 0)
 	OS = Cygwin
-	CFLAGS += -m32
+	CFLAGS += ${M32}
 	DYNAMIC-LIB-FLAGS = -shared
 	PICOLISP-FLAGS =
 	DLL-DEFS = $(bin)/picolisp.dll
@@ -128,6 +131,8 @@
 .c.o:
 	$(CC) $(CFLAGS) -D_OS='"$(OS)"' $*.c
 
+ext.o ht.o: pico.h
+	$(CC) $(CFLAGS) -D_OS='"$(OS)"' $*.c $(DYNAMIC-CC-FLAGS)
 
 $(picoFiles:.c=.o) ext.o ht.o: pico.h
 main.o: vers.h
