=== debian/changelog ===
picolisp (17.12+20180218-1) unstable; urgency=medium

  * New upstream version 17.12+20180218
    - Fixed relocation error in ext.l and ht.l. (Closes: 889911)
  * Refresh patches

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 18 Feb 2018 09:19:35 +0900

picolisp (17.12-2) unstable; urgency=medium

  * Fix bash_completion

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Wed, 17 Jan 2018 09:34:56 +0900

picolisp (17.12-1) unstable; urgency=medium

  * New upstream version 17.12
    (Closes: #857277)
  * debian/control: Update Vcs-{Git,Browser} to Salsa
  * debian/rules: Don't set DEB_HOST_ARCH_* variables
  * debian/rules: Remove unused get-orig-source target
  * Refresh patches
  * Bump Standards-Version to 4.1.3
  * Bump debhelper compat level to 11
  * Support arm64 build (Closes: #871515)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 07 Jan 2018 14:14:11 +0900
