=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,6 @@
 # -*- makefile -*-
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
-DEB_HOST_ARCH_OS  := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -36,6 +34,11 @@
 	make -C src OS=Linux tools gate
 
 	make -C src64 OS=Linux CFLAGS="$(CFLAGS_NO_PIE)" LDFLAGS="$(LDFLAGS_NO_PIE)" x86-64.linux picolisp
+else ifeq (arm64,$(DEB_HOST_ARCH_CPU))
+	mv src64/tags src64/tags.orig
+	make -C src OS=Linux tools gate
+
+	make -C src64 CFLAGS="$(CFLAGS_NO_PIE)" LDFLAGS="$(LDFLAGS_NO_PIE)" arm64.linux picolisp
 else ifeq (ppc64el,$(DEB_HOST_ARCH_CPU))
 	mv src64/tags src64/tags.orig
 	make -C src OS=Linux tools gate
@@ -83,14 +86,4 @@
 	dh_strip --no-automatic-dbgsym
 
 %:
-	dh $@ 
-
-VER?=3.0.7.1
-get-orig-source:
-	rm -rf picolisp-$(VER).orig
-	hg clone https://picolisp.googlecode.com/hg/#v$(VER) picolisp-$(VER).orig
-	rm -r picolisp-$(VER).orig/.hg picolisp-$(VER).orig/.hgtags
-	GZIP=--best tar -cz --owner root --group root --mode a+rX \
-			-f picolisp_$(VER).orig.tar.gz \
-			picolisp-$(VER).orig
-	rm -r picolisp-$(VER).orig
+	dh $@
