## picolisp 18.6

=== debian/changelog ===
picolisp (18.6-1) unstable; urgency=medium

  * New upstream version 18.6
  * Bump Standards-Version to 4.1.4. No changes required

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 02 Jul 2018 08:39:10 +0900
