=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
 Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.18.11~), libssl-dev, default-jdk
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://picolisp.com/
 Vcs-Git: https://salsa.debian.org/koster/picolisp.git
 Vcs-Browser: https://salsa.debian.org/koster/picolisp
