## picolisp 18.12

=== debian/changelog ===
picolisp (18.12-1) unstable; urgency=medium

  * New upstream version 18.12
  * debian/rules: Build 64 bit binary with system picolisp
  * debian/control: Bump Standards-Version to 4.3.0. No changes required

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 03 Jan 2019 22:04:15 +0900
