=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: lisp
 Priority: optional
 Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.18.11~), libssl-dev, default-jdk
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.18.11~), libssl-dev,
+               picolisp [amd64 arm64 ppc64el]
+Standards-Version: 4.3.0
 Homepage: http://picolisp.com/
 Vcs-Git: https://salsa.debian.org/koster/picolisp.git
 Vcs-Browser: https://salsa.debian.org/koster/picolisp
