=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,10 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-ifeq (amd64,$(DEB_HOST_ARCH_CPU))
-# PIE disabled on amd64 because it's mostly written in assembly and
-# already handles PIC when needed. The codes aren't compiled with
-# gcc so enable -fPIE is meaningless.
+ifneq (,$(filter amd64 arm64 ppc64el,$(DEB_HOST_ARCH_CPU)))
+# PIE disabled on 64 bit architecture because it's mostly written in
+# assembly and already handles PIC when needed. The codes aren't
+# compiled with gcc so enable -fPIE is meaningless.
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 CFLAGS_NO_PIE := $(shell dpkg-buildflags --get CFLAGS)
 LDFLAGS_NO_PIE := $(shell dpkg-buildflags --get LDFLAGS)
@@ -23,11 +23,6 @@
 endif
 
 override_dh_auto_build:
-
-	chmod -x app/loc/no
-
-	mv java/reflector.jar java/reflector.jar.orig
-	(cd java/; ./mkJar)
 
 ifeq (amd64,$(DEB_HOST_ARCH_CPU))
 	mv src64/tags src64/tags.orig
@@ -50,7 +45,7 @@
 	mkdir -p build/bash_completion.d
 	cp lib/bash_completion build/bash_completion.d/pil
 
-#       build time utilities
+# Remove build time utilities
 	-rm src64/sysdeps
 
 override_dh_auto_test:
@@ -61,7 +56,6 @@
 	dh_install build/bash_completion.d/pil usr/share/bash-completion/completions
 	dh_install -X.o src   usr/share/picolisp
 	dh_install -X.o src64 usr/share/picolisp
-	dh_install -X.orig java usr/share/picolisp
 
 override_dh_installdocs:
 	dh_installdocs -Xdoc/db -Xdoc/utf8
@@ -76,7 +70,6 @@
 	-rm bin/ssl bin/httpGate bin/lat1 bin/utf2 bin/balance
 	-mv src64/tags.orig src64/tags
 	-rm -rf build
-	-mv java/reflector.jar.orig java/reflector.jar
 
 override_dh_compress:
