## picolisp 19.6

=== debian/changelog ===
picolisp (19.6-2) unstable; urgency=medium

  * Install missed file /usr/lib/picolisp/lib/vip/draw.l
  * Switch dh compat to 12

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 08 Jul 2019 00:56:46 +0900

picolisp (19.6-1) unstable; urgency=medium

  * New upstream version 19.6
  * Refresh patches
  * debian/50picolisp.el: Don't override picolisp-mode defined variables
  * debian/50picolisp.el: Add autoload for picolisp-wiki-mode.
    Thanks to Jean-Christophe Helary for the suggestion

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 07 Jul 2019 12:31:26 +0900
