=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: lisp
 Priority: optional
 Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.18.11~), libssl-dev,
+Build-Depends: debhelper (>= 12), dpkg-dev (>= 1.18.11~), libssl-dev,
                picolisp [amd64 arm64 ppc64el]
 Standards-Version: 4.3.0
 Homepage: http://picolisp.com/
