=== debian/changelog ===
picolisp (19.12-1) unstable; urgency=medium

  * New upstream version 19.12
  * debian/control: Bump Standards-Versoin to 4.4.1, no changes required

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 02 Jan 2020 21:07:25 +0900
