=== debian/rules ===
--- 
+++ 
@@ -78,5 +78,7 @@
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
 
+override_dh_dwz: ;
+
 %:
 	dh $@
