=== debian/changelog ===
picolisp (20.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.

  [ Kan-Ru Chen ]
  * New upstream version 20.6

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Tue, 30 Jun 2020 00:04:08 +0900
