=== debian/changelog ===
picolisp (21.1.8-1) unstable; urgency=medium

  * New upstream version 21.1.8
    - Fixes build pil64 with pil21 (Closes: #978336)
  * debian/rules: install bash_completion file
  * debian/NEWS: mention how to use lib/compat.l

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sat, 09 Jan 2021 09:33:36 +0900

picolisp (21.0.0+20201226-3) unstable; urgency=medium

  * debian/picolisp.links: Link usr/lib/picolisp/doc to usr/share/doc/picolisp/doc
  * debian/copyright: Update the binary license of balance, httpGate, and ssl

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 03 Jan 2021 22:10:06 +0900

picolisp (21.0.0+20201226-2) unstable; urgency=medium

  * Move nobootstrap option handling into override_dh_auto_build
  * debian/control: specify supported 64-bit architectures

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 27 Dec 2020 08:32:13 +0900

picolisp (21.0.0+20201226-1) unstable; urgency=medium

  * New upstream version 21.0.0
  * Refresh patches
  * Support nobootstrap build option for building on new architecture
  * debian/50picolisp.el is unshipped

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sat, 26 Dec 2020 18:45:13 +0900
