=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: optional
 Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
 Build-Depends: debhelper (>= 12), dpkg-dev (>= 1.18.11~), libssl-dev,
-               picolisp [amd64 arm64 ppc64el]
-Standards-Version: 4.4.1
+ libreadline-dev, libffi-dev, pkg-config, clang, llvm, picolisp
+Standards-Version: 4.5.1
 Homepage: http://picolisp.com/
 Vcs-Git: https://salsa.debian.org/koster/picolisp.git
 Vcs-Browser: https://salsa.debian.org/koster/picolisp
 
-# Only supports amd64 on linux and solaris
 Package: picolisp
-Architecture: any
+Architecture: amd64 arm64 mips64el ppc64el s390x
 Pre-Depends: dpkg (>= 1.17.5)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: tinymce
