## picolisp 21.12

=== src/Makefile ===
--- 
+++ 
@@ -1,12 +1,16 @@
-# 24dec20 Software Lab. Alexander Burger
+# 19aug21 Software Lab. Alexander Burger
 
 .SILENT:
 
 CC = clang
 PIL = ../pil  # pil
 ASM = opt -O3  # llvm-as
-MAIN = -rdynamic -lc -lm -ldl -lreadline -lffi
+LLC = llc
+LINK = llvm-link
+MAIN = -rdynamic -lc -lutil -lm -ldl -lreadline -lffi
 SHARED = -shared
+STRIP = strip
+
 OS = $(shell uname)
 CPU = $(shell uname -m)
 
@@ -25,11 +29,12 @@
 # Base system
 $(BIN)/picolisp: picolisp.bc
 	mkdir -p $(BIN) $(LIB)
-	llc picolisp.bc -relocation-model=pic -o picolisp.s
+	$(LLC) picolisp.bc -relocation-model=pic -o picolisp.s
 	$(CC) picolisp.s -o $(BIN)/picolisp $(MAIN)
+	$(STRIP) $(BIN)/picolisp
 
 picolisp.bc: base.bc lib.bc
-	llvm-link -o picolisp.bc base.bc lib.bc
+	$(LINK) -o picolisp.bc base.bc lib.bc
 
 base.bc: base.ll
 	$(ASM) -o base.bc base.ll
@@ -43,8 +48,9 @@
 
 # Extension libraries
 $(LIB)/ext.so: ext.bc
-	llc ext.bc -relocation-model=pic -o ext.s
+	$(LLC) ext.bc -relocation-model=pic -o ext.s
 	$(CC) ext.s -o $(LIB)/ext.so $(SHARED)
+	$(STRIP) $(LIB)/ext.so
 
 ext.bc: ext.ll
 	$(ASM) -o ext.bc ext.ll
@@ -53,8 +59,9 @@
 	$(PIL) lib/llvm.l ext.l -bye > ext.ll
 
 $(LIB)/ht.so: ht.bc
-	llc ht.bc -relocation-model=pic -o ht.s
+	$(LLC) ht.bc -relocation-model=pic -o ht.s
 	$(CC) ht.s -o $(LIB)/ht.so $(SHARED)
+	$(STRIP) $(LIB)/ht.so
 
 ht.bc: ht.ll
 	$(ASM) -o ht.bc ht.ll
@@ -65,13 +72,16 @@
 # Tools
 $(BIN)/balance: balance.c
 	$(CC) -O3 -w -o $(BIN)/balance balance.c
+	$(STRIP) $(BIN)/balance
 
 # Gate
 $(BIN)/ssl: ssl.c
 	$(CC) -O3 -w -o $(BIN)/ssl ssl.c -lssl -lcrypto
+	$(STRIP) $(BIN)/ssl
 
 $(BIN)/httpGate: httpGate.c
 	$(CC) -O3 -w -o $(BIN)/httpGate httpGate.c -lssl -lcrypto
+	$(STRIP) $(BIN)/httpGate
 
 # Clean up
 clean:
