=== debian/changelog ===
picolisp (21.12-2) unstable; urgency=medium

  * debian/patches: Apply a database bug fix patch from upstream

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Tue, 04 Jan 2022 20:03:47 +0900

picolisp (21.12-1) unstable; urgency=medium

  * New upstream version 21.12
  * Update lintian-overrides
  * debian/control: bump Standards-Version to 4.6.0, no changes needed.
  * debian/control: add w3m to suggests as the default doc viewer

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 27 Dec 2021 23:45:21 +0900

picolisp (21.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 15 Aug 2021 23:03:04 +0900

picolisp (21.6-1) experimental; urgency=medium

  * New upstream version 21.6

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 15 Aug 2021 23:02:30 +0900
