=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
 Build-Depends: debhelper (>= 12), dpkg-dev (>= 1.18.11~), libssl-dev,
  libreadline-dev, libffi-dev, pkg-config, clang, llvm, picolisp
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: http://picolisp.com/
 Vcs-Git: https://salsa.debian.org/koster/picolisp.git
 Vcs-Browser: https://salsa.debian.org/koster/picolisp
@@ -13,7 +13,7 @@
 Architecture: amd64 arm64 mips64el ppc64el s390x
 Pre-Depends: dpkg (>= 1.17.5)
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: tinymce
+Suggests: tinymce, w3m
 Description: Lisp interpreter and application server framework
  Pico Lisp can be viewed from two different aspects: As a general
  purpose programming language, and a dedicated application server
