=== debian/changelog ===
picolisp (22.6-1) unstable; urgency=medium

  [ Kan-Ru Chen ]
  * New upstream version 22.6

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sat, 02 Jul 2022 22:42:40 +0900

picolisp (22.3-1) unstable; urgency=medium

  * New upstream version 22.3
  * Refresh patches

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 21 Mar 2022 17:00:03 +0900
